Loading...
Searching...
No Matches
RDKit::FMCS::NewBond Struct Reference

`#include <Seed.h>`

## Public Member Functions

| NewBond ()
| NewBond (unsigned int bond_idx, unsigned int new_atom, unsigned int to_atom, const Atom *a)

## Public Attributes

unsigned int | BondIdx {0}
unsigned int | NewAtomIdx {0}
unsigned int | EndAtomIdx {0}
const Atom * | NewAtom {nullptr}

## Detailed Description

Definition at line 34 of file Seed.h.

## Constructor & Destructor Documentation

## NewBond() [1/2]

RDKit::FMCS::NewBond::NewBond | ( |  | ) |

inline

Definition at line 48 of file Seed.h.

## NewBond() [2/2]

RDKit::FMCS::NewBond::NewBond | ( | unsigned int | bond_idx,
|  | unsigned int | new_atom,
|  | unsigned int | to_atom,
|  | const Atom * | a
| ) |  |

inline

Definition at line 52 of file Seed.h.

## Member Data Documentation

## BondIdx

unsigned int RDKit::FMCS::NewBond::BondIdx {0}

Definition at line 37 of file Seed.h.

## EndAtomIdx

unsigned int RDKit::FMCS::NewBond::EndAtomIdx {0}

Definition at line 43 of file Seed.h.

## NewAtom

const Atom* RDKit::FMCS::NewBond::NewAtom {nullptr}

Definition at line 46 of file Seed.h.

## NewAtomIdx

unsigned int RDKit::FMCS::NewBond::NewAtomIdx {0}

Definition at line 40 of file Seed.h.

The documentation for this struct was generated from the following file:

- Seed.h